package com.qmth.sop.common.enums;

/**
 * @Description: 签到状态枚举
 * @Author: CaoZixuan
 * @Date: 2023-09-04
 */
public enum DingStatusEnum {
    SIGN("已打卡", "正常打卡,显示时间和打卡地点"),
    NO_SIGN("未打卡", "未打卡,显示未打卡"),
    RE_SIGN("补卡", "补卡,显示补卡"),
    RE_SIGN_ING("补卡中","显示补卡中"),
    OTHER("在其它sop打卡", "显示'--'");

    DingStatusEnum(String title, String desc) {
        this.title = title;
        this.desc = desc;
    }

    private final String title;
    private final String desc;

    public String getTitle() {
        return title;
    }

    public String getDesc() {
        return desc;
    }
}
